import pygame, sys
from pygame.locals import *

# Richtet pygame ein.
pygame.init()

# Richtet das Fenster ein.
windowSurface = pygame.display.set_mode((500, 400), 0, 32)
pygame.display.set_caption('Hello world!')

# Richtet die Farben ein.
BLACK = (0, 0, 0)
WHITE = (255, 255, 255)
RED = (255, 0, 0)
GREEN = (0, 255, 0)
BLUE = (0, 0, 255)

# Richtet die Schriftarten ein.
basicFont = pygame.font.SysFont(None, 48)

# Richtet den Text ein.
text = basicFont.render('Hello world!', True, WHITE, BLUE)
textRect = text.get_rect()
textRect.centerx = windowSurface.get_rect().centerx
textRect.centery = windowSurface.get_rect().centery

# Zeichnet den weißen Hintergrund auf die Oberfläche.
windowSurface.fill(WHITE)

# Zeichnet ein grünes Polygon auf die Oberfläche.
pygame.draw.polygon(windowSurface, GREEN, ((146, 0), (291, 106), (236, 277), (56, 277), (0, 106)))

# Zeichnet blaue Linien auf die Oberfläche.
pygame.draw.line(windowSurface, BLUE, (60, 60), (120, 60), 4)
pygame.draw.line(windowSurface, BLUE, (120, 60), (60, 120))
pygame.draw.line(windowSurface, BLUE, (60, 120), (120, 120), 4)

# Zeichnet einen blauen Kreis auf die Oberfläche.
pygame.draw.circle(windowSurface, BLUE, (300, 50), 20, 0)

# Zeichnet eine rote Ellipse auf die Oberfläche.
pygame.draw.ellipse(windowSurface, RED, (300, 250, 40, 80), 1)

# Zeichnet das Rechteck für den Texthintergrund auf die Oberfläche.
pygame.draw.rect(windowSurface, RED, (textRect.left - 20, textRect.top - 20, textRect.width + 40, textRect.height + 40))

# Ruft das Pixelarray der Oberfläche ab.
pixArray = pygame.PixelArray(windowSurface)
pixArray[480][380] = BLACK
del pixArray

# Zeichnet den Text auf die Oberfläche.
windowSurface.blit(text, textRect)

# Zeichnet das Fenster auf den Bildchirm.
pygame.display.update()

# Führt die Spielschleife aus.
while True:
    for event in pygame.event.get():
        if event.type == QUIT:
            pygame.quit()
            sys.exit()
